#pragma once

#include <JUI/Widgets/Rect.hpp>
#include <JUI/Widgets/RadioButton.hpp>

namespace JUI {

    enum class RadioButtonSetMode { Exclusive, Multiple };

    /// A rect widget that is specialized to support a set of radio buttons, where one or multiple can be selected at a time.
    class RadioButtonSet : public Rect
    {
    public:


        RadioButtonSet()
        {

        }

        explicit RadioButtonSet(Widget* parent) : RadioButtonSet()
        {

        }


        RadioButton* Add(const std::string& label)
        {



        }

    protected:
        // TODO: should likely be shared_ptr.
        std::unordered_map<std::string, RadioButton*> btns;

    };

}