#pragma once

#include "JUI/Base/Widget.hpp"
#include "JUI/Base/TextBase.hpp"

namespace JUI
{

    /// A Widget that displays text within the bounds of it's parent widget.
    /// @see TextRect.hpp, TextBase.hpp
    class Text : public Widget, public TextBase
    {
    public:
        Text();
        explicit Text(Widget* parent);
        ~Text() override;
    public:

        Vector2 GetAbsoluteSize() const override;
        Vector2 GetAbsolutePosition() const override;
        void Draw() override;
        void InnerDraw() override;
        void Update(float delta) override;
    protected:
    private:
    };

}