#include <JUI/Mixins/Hoverable.hpp>

void JUI::Hoverable::OnHover(const Vector2 &MousePos) {
    OnHoverEvent.Invoke(MousePos);
}

void JUI::Hoverable::OnExit(const Vector2 &MousePos) {
    OnExitEvent.Invoke(MousePos);

    //tooltip_threshold = 0;
}


void JUI::Hoverable::OnHoverChildren(const Vector2& mouse) {
    // TODO: Implement
}

void JUI::Hoverable::OnHoverDescendants(const Vector2& mouse) {
    // TODO: Implement
}

void JUI::Hoverable::OnExitChildren(const Vector2& mouse) {
    // TODO: Implement
}

void JUI::Hoverable::OnExitDescendants(const Vector2& mouse) {
    // TODO: Implement
}

void JUI::Hoverable::Update(bool mouse_inside, float delta) {

    hovered = mouse_inside;
    /*if (tooltip != nullptr)
    {
        if (IsHovered()) {
            tooltip->Visible(true);
            tooltip->Position(UDim2::FromPixels(m_pos.x, m_pos.y));
        } else {
            tooltip->Visible(false);
        }
    }*/


    if (IsHovered() && !hover_debounce) {
        OnHover({0,0});
        hover_debounce = true;
    }

    if (!IsHovered() && hover_debounce) {
        OnExit({0,0});
        hover_debounce = false;
    }
}


