#include <JUI/Mixins/Toggleable.hpp>
#include <JUI/Widgets/RadioButton.hpp>

namespace JUI {
    RadioButton::RadioButton() : Button(), Toggleable() {
        Name("RadioButton");
    }
    RadioButton::RadioButton(Widget* parent) : RadioButton() {
        this->Parent(parent);
    }

    void RadioButton::OnClick(const J3ML::LinearAlgebra::Vector2 &mouse_pos, const JUI::MouseButton &btn) {
        Button::OnClick(mouse_pos, btn);
        Toggleable::Update();
    }

    void RadioButton::Update(float delta) {
        Button::Update(delta);
    }
}