#pragma once

#include <JUI/Base/Widget.hpp>
#include <JUI/Widgets/Rect.hpp>
#include <JUI/Widgets/Checkbox.hpp>
#include <JUI/Widgets/TextRect.hpp>
#include <JUI/Widgets/Text.hpp>
#include <JUI/Widgets/ListLayout.hpp>

namespace JUI
{
    /// A composite class which combines a Checkbox and TextLabel into one element.
    class LabeledCheckbox : public Rect
    {
    public:
        LabeledCheckbox() {
            auto* layout = new HorizontalListLayout(this);

        }
        explicit LabeledCheckbox(Widget* parent);


        Checkbox* CheckboxInstance();
        TextRect* LabelInstance();
        Text* TextInstance();
    };
}