#include <JUI/Base/LayoutContainer.hpp>

namespace JUI
{
    LayoutContainer::LayoutContainer() {}

    LayoutContainer::LayoutContainer(Widget* parent) {
        this->Parent(parent);
    }

    void LayoutContainer::Update(float delta)
    {
        ApplyLayout();
        Widget::Update(delta);
    }

    void LayoutContainer::Draw()
    {
        Widget::Draw();
    }
}