#include <JUI/Mixins/Toggleable.hpp>

void JUI::Toggleable::OnToggleOn() {
    OnToggleOnEvent.Invoke();
}

void JUI::Toggleable::OnToggleOff() {
    OnToggleOffEvent.Invoke();
}

void JUI::Toggleable::Update() {
    OnToggleEvent.Invoke();
    toggled = !toggled;

    if (toggled) {
        OnToggleOn();
    } else {
        OnToggleOff();
    }
}
